aboutsummaryrefslogtreecommitdiffstats
path: root/main/libnetfilter_queue/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-10-18 11:04:49 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-10-18 11:04:49 +0000
commitd486e9bc96cf0468c12845f115981a1b4a509235 (patch)
tree068dfb43ad51ef9f7439b047a85e1bb4c9145532 /main/libnetfilter_queue/APKBUILD
parent269ecbac504f42830953ed90dc7158da0da33baa (diff)
downloadaports-d486e9bc96cf0468c12845f115981a1b4a509235.tar.gz
aports-d486e9bc96cf0468c12845f115981a1b4a509235.tar.bz2
aports-d486e9bc96cf0468c12845f115981a1b4a509235.tar.xz
main/libnetfilter_queue: new aport
API to packets that have been queued by the kernel packet filter http://www.netfilter.org/projects/libnetfilter_queue/index.html
Diffstat (limited to 'main/libnetfilter_queue/APKBUILD')
-rw-r--r--main/libnetfilter_queue/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/main/libnetfilter_queue/APKBUILD b/main/libnetfilter_queue/APKBUILD
new file mode 100644
index 0000000000..7d4b119ebe
--- /dev/null
+++ b/main/libnetfilter_queue/APKBUILD
@@ -0,0 +1,43 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libnetfilter_queue
+pkgver=1.0.2
+pkgrel=0
+pkgdesc="API to packets that have been queued by the kernel packet filter"
+url="http://www.netfilter.org/projects/libnetfilter_queue/index.html"
+arch="all"
+license="GPLv2"
+depends=""
+makedepends="libnfnetlink-dev libmnl-dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.netfilter.org/projects/libnetfilter_queue/files/libnetfilter_queue-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/libnetfilter_queue-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="df09befac35cb215865b39a36c96a3fa libnetfilter_queue-1.0.2.tar.bz2"